Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableGroup_Request_Dispatcher Class Reference

A class that strategizes the request dispatching procedure. More...

`#include <PortableGroup_Request_Dispatcher.h>`

Inheritance diagram for PortableGroup_Request_Dispatcher:

[legend]
Collaboration diagram for PortableGroup_Request_Dispatcher:

[legend]
List of all members.

## Public Methods
virtual | ~PortableGroup_Request_Dispatcher (void)
| Destructor.
virtual void | dispatch (TAO_ORB_Core *orb_core, TAO_ServerRequest &request, CORBA::Object_out forward_to ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
## Private Attributes
TAO_Portable_Group_Map | group_map_
| Hash map containing the GroupId->ObjectKey mappings.
TAO_PortableGroup_Acceptor_Registry | acceptor_registry_
| Registry for all of the group (multicast) acceptors.
## Friends
class | TAO_POA_Hooks

## Detailed Description

A class that strategizes the request dispatching procedure.

## Constructor & Destructor Documentation

PortableGroup_Request_Dispatcher::~PortableGroup_Request_Dispatcher | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void PortableGroup_Request_Dispatcher::dispatch | ( | TAO_ORB_Core * | orb_core,
|  | TAO_ServerRequest & | request,
|  | CORBA::Object_out forward_to | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[virtual]`

| Dispatch a request. Reimplemented from TAO_Request_Dispatcher.

## Friends And Related Function Documentation

friend class TAO_POA_Hooks`[friend]`

## Member Data Documentation

TAO_PortableGroup_Acceptor_Registry PortableGroup_Request_Dispatcher::acceptor_registry_`[private]`

| Registry for all of the group (multicast) acceptors.

TAO_Portable_Group_Map PortableGroup_Request_Dispatcher::group_map_`[private]`

| Hash map containing the GroupId->ObjectKey mappings.

The documentation for this class was generated from the following files:

- PortableGroup_Request_Dispatcher.h
- PortableGroup_Request_Dispatcher.cpp